<?php

if( ! function_exists( 'wcopcpdf_column_thumbnail' ) ) {
	function wcopcpdf_column_thumbnail( $product_id, $quantity, $orders ) {
		if( ! isset( $product_id ) || empty( $product_id ) )
			return false;

		$product = wc_get_product( $product_id );

		if( ! $product->id )
			return;

		if( $product->is_type( 'variable' ) ) {
			$thumbnail = get_the_post_thumbnail( $product_id, 'shop_thumbnail', array( 'width' => 50, 'height' => 50 ) );
		}else {
			$thumbnail = get_the_post_thumbnail( $product_id, 'shop_thumbnail', array( 'width' => 50, 'height' => 50 ) );
		}

		$placeholder = '<img src="' . wc_placeholder_img_src() . '" alt="Placeholder" width="50" height="50" class="woocommerce-placeholder wp-post-image" />';

		if( ! $thumbnail ) {
			$thumbnail = get_the_post_thumbnail( $product->get_parent(), 'shop_thumbnail', array( 'width' => 50, 'height' => 50 ) );

			if( $thumbnail ) {
				return $thumbnail;
			}else {
				return $placeholder;
			}
		}

		return $thumbnail;
	}
}



if( ! function_exists( 'wcopcpdf_column_id' ) ) {
	function wcopcpdf_column_id( $product_id, $quantity, $orders ) {
		if( ! isset( $product_id ) || empty( $product_id ) )
			return false;

		return $product_id;
	}
}


if( ! function_exists( 'wcopcpdf_column_product' ) ) {
	function wcopcpdf_column_product( $product_id, $quantity, $orders ) {
		if( ! isset( $product_id ) || empty( $product_id ) )
			return false;

		$product = wc_get_product( $product_id );

		if( $product->id ) {
			$output = $product->get_title();
		}

		if( $product->is_type( 'variation' ) ) {
			$atts = $product->get_variation_attributes();

			if( ! empty( $atts ) ) {
				$output .= "<br />";
				foreach( $atts as $att => $value ) {
					if( $value ) {
						$tax = get_taxonomy( substr( $att, 10 ) );

						if( $tax ) {
							$output .= '<strong>' . $tax->label . ':</strong> ' . $value . '<br />';
						}
					}
				}
			}
		}

		return $output;
	}
}


if( ! function_exists( 'wcopcpdf_column_quantity' ) ) {
	function wcopcpdf_column_quantity( $product_id, $quantity, $orders ) {
		if( ! isset( $quantity ) || empty( $quantity ) )
			return false;

		return $quantity;
	}
}


if( ! function_exists( 'wcopcpdf_column_price' ) ) {
	function wcopcpdf_column_price( $product_id, $quantity, $orders ) {
		if( ! isset( $quantity ) || empty( $quantity ) )
			return false;

		$product = wc_get_product( $product_id );

		if( $product->id ) {
			return wc_price( $product->get_price() );
		}

		return false;	
	}
}